#pragma once
#include "Build.h"

//Possiblement forward includable, à condition d'ajouter un .cpp
#include "../../../../PerceptualState/Locations/Static/AutoPopulated/BaseLocation.h"

class Expand : public virtual Build
{
public:
  Expand(const Process* parent, unsigned int priority, BaseLocation* baseLocation)
    : Build(parent, priority, baseLocation, BWAPI::UnitTypes::Protoss_Nexus)
    , GroupTacticalAction(parent, priority)
    , TacticalAction(parent, priority)
    , Process(parent)
  {
  }

protected:
  virtual void _output(std::ostream& out) const
  {
    TacticalAction::_output(out);

    out << "Expand(" << *m_location << ")";
  }
};